GNU bug report logs - #68854
[PATCH] Add rdfind package

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Noé LOPEZ <noelopez@HIDDEN>; Keywords: patch; merged with #67363; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 67363 68854. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 68854 <at> debbugs.gnu.org:


Received: (at 68854) by debbugs.gnu.org; 7 Feb 2024 11:45:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 07 06:45:08 2024
Received: from localhost ([127.0.0.1]:55796 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rXgMW-0005d6-0L
	for submit <at> debbugs.gnu.org; Wed, 07 Feb 2024 06:45:08 -0500
Received: from mout-p-101.mailbox.org ([80.241.56.151]:34494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tomasortin@HIDDEN>) id 1rXgMU-0005cL-Hl
 for 68854 <at> debbugs.gnu.org; Wed, 07 Feb 2024 06:45:07 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org [10.196.197.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
 (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4TVJF56rcrz9sss
 for <68854 <at> debbugs.gnu.org>; Wed,  7 Feb 2024 12:44:41 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mailbox.org;
 s=mail20150812; t=1707306281;
 h=from:from:reply-to:subject:date:date:message-id:message-id:to:to:cc:
 mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=yC8itTszVLkHwbhgV0NY1KszPn8BPK215bgFekRgRbs=;
 b=EyAS4pWgMTCnUX4tEhtRyVXe+WBLCYCi3Bt+SSf+Ok2X1bgSrsmOcEVVnoyO4yFwXB5XGD
 Iu9/hQRRDKl5Tw3iC+Udib8/g0qRVkcIGdk4DSgijpzyLDkFjPgKap6mY+fnmW4WUhOv5Q
 WuDTu2y4wmYbkUMUVnik7xlgramPJ/I3TX79+UmAxVh7XAOUFlfbpkpyLWjnltiDaKQ6NR
 T8C8rVWaJfJpVB0afVsMjHXV/KfWgy28IDPPEM2tNkRKsK86cSIksVRhZ+B11ymTZZvtUs
 niLV4bBnuM7GnNNC7a0Ud05Hh66bL0Q1lfUZGAGdbmHJbuIFKuTTa8/ChXA+QA==
Message-ID: <29958b87-9025-666c-5f87-24a6362b66c4@HIDDEN>
Date: Wed, 7 Feb 2024 12:44:40 +0100
MIME-Version: 1.0
Content-Language: en-US
To: 68854 <at> debbugs.gnu.org
From: =?UTF-8?B?VG9tw6FzIE9ydMOtbg==?= <tomasortin@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-MBO-RS-META: iwgcxm8qu5iy6gcxs8mnthbenwiupbde
X-MBO-RS-ID: 839510931a39f783ebb
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello Noe, I already sent a patch to add rdfind some time
 ago: https://issues.guix.gnu.org/67363 I point it out more than anything so
 you can take a look at a way to deal with issues such as the attempt to call
 "/bin/echo" without disabling tests. Also, tests can be disabled by passing
 "#:tests? [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [80.241.56.151 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: 68854
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Hello Noe, I already sent a patch to add rdfind some time ago: 
https://issues.guix.gnu.org/67363

I point it out more than anything so you can take a look at a way to 
deal with issues such as the attempt to call "/bin/echo" without 
disabling tests.
Also, tests can be disabled by passing "#:tests? #f", no need to delete 
the phase :-)




Information forwarded to guix-patches@HIDDEN:
bug#68854; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Jan 2024 16:39:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 31 11:39:14 2024
Received: from localhost ([127.0.0.1]:38995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rVDcH-0004UI-Qo
	for submit <at> debbugs.gnu.org; Wed, 31 Jan 2024 11:39:14 -0500
Received: from lists.gnu.org ([2001:470:142::17]:53710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <noelopez@HIDDEN>) id 1rVDcG-0004Tt-C0
 for submit <at> debbugs.gnu.org; Wed, 31 Jan 2024 11:39:12 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <noelopez@HIDDEN>) id 1rVDbz-00077l-5m
 for guix-patches@HIDDEN; Wed, 31 Jan 2024 11:38:55 -0500
Received: from smtp1-g21.free.fr ([212.27.42.1])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <noelopez@HIDDEN>) id 1rVDbv-00032r-RV
 for guix-patches@HIDDEN; Wed, 31 Jan 2024 11:38:53 -0500
Received: from webmail.free.fr (unknown [172.20.246.1])
 (Authenticated sender: noelopez@HIDDEN)
 by smtp1-g21.free.fr (Postfix) with ESMTPA id DBFEFB005AC
 for <guix-patches@HIDDEN>; Wed, 31 Jan 2024 17:38:46 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=free.fr;
 s=smtp-20201208; t=1706719126;
 bh=FrAxrO7m6RAtVbQ2fwOCsS0eQ56IdisxzcrophabF0A=;
 h=Date:From:To:Subject:From;
 b=NEDby4zYqyAqtpv1/53FG+VB6e5Yh7tE2+XxO/f9hR3sxctXrrt73e//wlR5QELvg
 xHi5hmluFHDPc4umd6LOUva5PINEo/JexB22+50JMVUZhCROITUzjZJcYOKJFlwsxf
 n1oKNO32yh4TnvuqCqNo3KWNDI+iYHOjkZEiJK0MCfm8VvMqvydpV4Xe9Can0rF6A/
 XtAoudK0EQ93/pnYGMAK+VMrOJhkR93a054U8iEKJ1bPvvzF4ekm4rkCssDj/VmLWq
 H8yvQKUy+J7kmdWLmTP+1PCmInP4bLo4GIQlvs6E8uOXGMblhm37x1uVRIiOQ5lIVd
 wAb/cG6+D4dWw==
Received: from 2a01:e0a:990:a960:b4f3:8f44:ec4:5af5
 via 2a01:e0a:990:a960:b4f3:8f44:ec4:5af5 by webmail.free.fr
 with HTTP (HTTP/1.0 POST); Wed, 31 Jan 2024 17:38:46 +0100
MIME-Version: 1.0
Date: Wed, 31 Jan 2024 17:38:46 +0100
From: =?UTF-8?Q?No=C3=A9_LOPEZ?= <noelopez@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] Add rdfind package
User-Agent: Webmail Free/1.6.5
Message-ID: <f54030f9d5941ff9f1c4313729486912@HIDDEN>
X-Sender: noelopez@HIDDEN
Content-Type: multipart/mixed;
 boundary="=_174278e5e546aeebe081f10cf21cdc25"
Received-SPF: pass client-ip=212.27.42.1; envelope-from=noelopez@HIDDEN;
 helo=smtp1-g21.free.fr
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

--=_174278e5e546aeebe081f10cf21cdc25
Content-Transfer-Encoding: 8bit
Content-Type: text/plain; charset=UTF-8;
 format=flowed

Hi,

Here's a patch to add a package for rdfind.

Good evening,
Noé Lopez
--=_174278e5e546aeebe081f10cf21cdc25
Content-Transfer-Encoding: base64
Content-Type: text/x-diff;
 name=0001-gnu-Add-rdfind.patch
Content-Disposition: attachment;
 filename=0001-gnu-Add-rdfind.patch;
 size=1743
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--=_174278e5e546aeebe081f10cf21cdc25--




Acknowledgement sent to Noé LOPEZ <noelopez@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#68854; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 20 Feb 2024 10:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.